# Generated from viniBaxter-spa-belongs_to_search-4.0.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name viniBaxter-spa-belongs_to_search

Name: rubygem-%{gem_name}
Version: 4.0.0
Release: 1%{?dist}
Summary: Plugin that adds search capabilities to belongs_to associations for Administrate
License: MIT
URL: https://github.com/fishbrain/administrate-field-belongs_to_search
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(coveralls)
# BuildRequires: rubygem(coveralls) < 1
# BuildRequires: rubygem(factory_girl) >= 4.8
# BuildRequires: rubygem(factory_girl) < 5
# BuildRequires: rubygem(rspec) >= 3.4
# BuildRequires: rubygem(rspec) < 4
# BuildRequires: rubygem(rubocop) = 0.49.0
# BuildRequires: rubygem(simplecov)
# BuildRequires: rubygem(simplecov) < 1
# BuildRequires: rubygem(sqlite3) >= 1.3
# BuildRequires: rubygem(sqlite3) < 2
BuildArch: noarch

%description
Add support to search through (potentially large) belongs_to associations in
your Administrate dashboards.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%{gem_instdir}/.DS_Store
%exclude %{gem_instdir}/.gitignore
%exclude %{gem_instdir}/.rubocop.yml
%{gem_instdir}/.simplecov
%exclude %{gem_instdir}/.travis.yml
%{gem_instdir}/CODE_OF_CONDUCT.md
%license %{gem_instdir}/LICENSE
%{gem_instdir}/app
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%exclude %{gem_instdir}/.rspec
%doc %{gem_instdir}/CHANGELOG.md
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/viniBaxter-spa-belongs_to_search.gemspec

%changelog
* Thu Sep 16 2021 mockbuilder - 4.0.0-1
- Initial package
